summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSimon McVittie <smcv@collabora.com>2022-09-13 18:41:21 +0100
committerGitHub <noreply@github.com>2022-09-13 18:41:21 +0100
commitefbcdba68c587be77d614a30d697e99e602285b2 (patch)
tree6a7c299da8145f7dae37dfc5924a79b42e9d49fa
parent010bde7f370109097b2d30bd8957d240a5092173 (diff)
parenta29f535b74857ab98280f369fcb8e68ebeb08131 (diff)
downloadbubblewrap-efbcdba68c587be77d614a30d697e99e602285b2.tar.gz
Merge pull request #527 from a1346054/fixes
test-run: replace nonstandard `which`
-rwxr-xr-xtests/test-run.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/test-run.sh b/tests/test-run.sh
index da92ffb..c8de36d 100755
--- a/tests/test-run.sh
+++ b/tests/test-run.sh
@@ -95,7 +95,7 @@ done
echo "ok namespace id info in info and json-status fd"
-if ! which strace >/dev/null 2>/dev/null || ! strace -h | grep -v -e default | grep -e fault >/dev/null; then
+if ! command -v strace >/dev/null || ! strace -h | grep -v -e default | grep -e fault >/dev/null; then
echo "ok - # SKIP no strace fault injection"
else
! strace -o /dev/null -f -e trace=prctl -e fault=prctl:when=39 $RUN --die-with-parent --json-status-fd 42 true 42>json-status.json